Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial
Class DisjointSpatialFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.spatial.DisjointSpatialFilter

    public class DisjointSpatialFilter

extends Filter

A Spatial Filter implementing `SpatialOperation.IsDisjointTo` in terms of a `SpatialStrategy`'s support for `SpatialOperation.Intersects`. A document is considered disjoint if it has spatial data that does not intersect with the query shape. Another way of looking at this is that it's a way to invert a query shape.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`DisjointSpatialFilter(SpatialStrategy strategy, SpatialArgs args, String field)`

Method Summary
`boolean` | `equals(Object o)`
`DocIdSet` | `getDocIdSet(AtomicReaderContext context, Bits acceptDocs)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisjointSpatialFilter

    public DisjointSpatialFilter(SpatialStrategy strategy,
                                 SpatialArgs args,
                                 String field)

Parameters:
  `strategy` - Needed to compute intersects
  `args` - Used in spatial intersection
  `field` - This field is used to determine which docs have spatial data via `FieldCache.getDocsWithField(org.apache.lucene.index.AtomicReader, String)`. Passing null will assume all docs have spatial data.

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getDocIdSet

    public DocIdSet getDocIdSet(AtomicReaderContext context,
                                Bits acceptDocs)
                         throws IOException

  Specified by:
    `getDocIdSet` in class `Filter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.